from instagrapi import Client
import json, os
from datetime import datetime, timedelta
import library.lib as lib

start_time = datetime.now()

print("🍪 | Retrieving saved account information.")
cl = Client(json.load(open('./temp/cookies.json')))
print("🍪 | Account information was successfully retrieved.")

print("📅 | Getting MLSV_YMD Timestamp")
MLSV_YMD = str((datetime.now() + timedelta(days=1)).strftime('%Y%m%d'))
print("📅 | Date:", MLSV_YMD)

print("🍲 | Getting Meal Info Image")
lib.얻기(MLSV_YMD)
#lib.얻기(MLSV_YMD)


print("📸 | Uploading Story")
cl.photo_upload_to_story(
    path=f"temp/{MLSV_YMD}.png",
    caption=f"#인천상정중학교 #상정중학교 #급식 \n{MLSV_YMD}일자 급식",
    extra_data = {'is_paid_partnership' : False}
)
print("📸 | Story Uploaded")

lib.스토리_얻기(MLSV_YMD)
print("🖼️ | Uploading Post")
cl.photo_upload(
    f"temp/{MLSV_YMD}-story.png",
    caption=f"#인천상정중학교 #상정중학교 #급식 \n{MLSV_YMD}일자 급식",
    extra_data = {'is_paid_partnership' : False}
)
print("🖼️ | Post Uploaded")

print("🗨️ | Uploading at Discord")
lib.디스코드(MLSV_YMD)
print("🗨️ | Uploaded at Discord")

print("🎉 | All tasks completed.")
# calculate running time
print("🕒 | Running Time:", datetime.now() - start_time)